Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_ENUMAUDIO

## Name

VIDIOC_ENUMAUDIO -- Enumerate audio inputs

## Synopsis

``int ioctl`(int fd, int request, struct v4l2_audio *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_ENUMAUDIO

`argp`

## Description

To query the attributes of an audio input applications initialize the `index` field and zero out the `reserved` array of a struct v4l2_audio and call the `VIDIOC_ENUMAUDIO` ioctl with a pointer to this structure. Drivers fill the rest of the structure or return an EINVAL error code when the index is out of bounds. To enumerate all audio inputs applications shall begin at index zero, incrementing by one until the driver returns EINVAL.

See ioctl VIDIOC_G_AUDIO, VIDIOC_S_AUDIO(2) for a description of struct v4l2_audio.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  The number of the audio input is out of bounds, or there are no audio inputs at all and this ioctl is not supported.

Prev | Home | Next
ioctl VIDIOC_ENCODER_CMD, VIDIOC_TRY_ENCODER_CMD | Up | ioctl VIDIOC_ENUMAUDOUT